import { jsx, jsxs } from 'react/jsx-runtime';
import styles from './cta-block.module.pcss.js';

const CtaBlock = ({
  topTitle,
  mainTitle,
  children,
  buttons
}) => {
  return jsx("div", Object.assign({
    className: styles.wrapper
  }, {
    children: jsxs("div", Object.assign({
      className: 'ktl-container'
    }, {
      children: [topTitle && jsx("div", Object.assign({
        className: styles.topTitle
      }, {
        children: jsx("div", Object.assign({
          className: 'ktl-text-2 ktl-text-2_theme_dark'
        }, {
          children: topTitle
        }), void 0)
      }), void 0), jsx("div", Object.assign({
        className: styles.mainTitle
      }, {
        children: jsx("h2", Object.assign({
          className: 'ktl-hero ktl-hero_theme_dark'
        }, {
          children: mainTitle
        }), void 0)
      }), void 0), children && jsx("div", Object.assign({
        className: styles.content
      }, {
        children: children
      }), void 0), jsx("div", {}, void 0), buttons && jsx("div", Object.assign({
        className: styles.buttons
      }, {
        children: buttons
      }), void 0)]
    }), void 0)
  }), void 0);
};

export { CtaBlock };
