import { jsx } from 'react/jsx-runtime';
import classNames from 'classnames';
import SvgJetbrainsLogo from './jetbrains-logo.svg.js';
import styles from './logo.module.pcss.js';

const Logo = props => jsx("a", Object.assign({
  href: "https://jetbrains.com",
  target: "_blank",
  className: classNames(props.className, styles.link)
}, {
  children: jsx(SvgJetbrainsLogo, {}, void 0)
}), void 0);

export { Logo };
