import { jsx } from 'react/jsx-runtime';
import styles from './social-list.module.pcss.js';
import { socialList } from './social-data.js';
import { SocialItem } from './social-item/social-item.js';

const SocialList = () => jsx("div", Object.assign({
  className: styles.socialList
}, {
  children: socialList.map(socialNetwork => jsx(SocialItem, {
    socialNetwork: socialNetwork
  }, socialNetwork.url))
}), void 0);

export { SocialList };
