import { jsx } from 'react/jsx-runtime';
import styles from './nav-list.module.pcss.js';
import { navList } from './nav-data.js';
import { NavItem } from './nav-item.js';

const NavList = props => jsx("nav", Object.assign({
  className: props.className
}, {
  children: jsx("ul", Object.assign({
    className: styles.navList
  }, {
    children: navList.map(value => jsx(NavItem, {
      data: value
    }, value.url))
  }), void 0)
}), void 0);

export { NavList };
